Bug 33330 - Iteration causes error 522 after closing and reopening
Summary: Iteration causes error 522 after closing and reopening
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 RC4
Hardware: All Windows (All)
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: feature
Keywords:
Depends on: 126866
Blocks: Calculate
  Show dependency treegraph
 
Reported: 2011-01-21 03:50 UTC by Joe Calderone
Modified: 2019-12-16 08:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
worksheet with iteration problem (24.46 KB, application/x-zip-compressed)
2011-01-25 05:53 UTC, Joe Calderone
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joe Calderone 2011-01-21 03:50:41 UTC
I have used a running total of dividends in Lotus 123 and it works properly,
but it does not work in OpenOffice.
an Example
using 1 Row and 3 Columns
. 1st column is the Dividend payment entry column
. 2nd column has =B2A1 Keeps running total of ytd dividends
. 3rd column has =B3+A1 Keeps running total of all dividend since purchase date
Iteration is set to 1
at the end of year column 2 is cleared

Calculations are performed correctly, But when the spreadsheed is closed and then reopened column 2 and 3 show :ERROR 522
Comment 1 Noel Power 2011-01-21 03:55:29 UTC
@Joe Calderone Can you please supply a simple example document
@kohei for you I guess
Comment 2 Joe Calderone 2011-01-21 05:22:54 UTC
(In reply to comment #1)
> @Joe Calderone Can you please supply a simple example document
> @kohei for you I guess

 I am unable to send a document that i created in Libre. as I removed the app and the worksheets from my Win7 PC. The example i gave in my original post should show the problem and should be easy to enter into a blank worksheet.
Comment 3 Joe Calderone 2011-01-25 05:53:25 UTC
Created attachment 42456 [details]
worksheet with iteration problem

Here is an example of the iteration bug
This example works in Lotus 123 the formula is a bit different but the idea is the same
You should be able to enter an amount in column H2 thru H8
and a running total should result in I2 and J2 etc
when the worksheet is closed and then reopened Error 522 appears in H2 etc
I have also had to device the amount by 2 as you will see in the formula or twice the amount is added.
Would be nice if you could fix the problem
Iteration step is set to 1
Comment 4 Joe Calderone 2011-01-25 05:54:51 UTC
This morning i installed the LibreOffice 3.3 and the problem persists
Comment 5 Kohei Yoshida 2011-01-25 07:29:08 UTC
The iteration feature has been broken for many years since the OOo time.  So this is not something that gets fixed overnight.
Comment 6 Kohei Yoshida 2011-01-25 07:30:37 UTC
Since the iteration invokes an entirely different calculation engine, re-working this to make it robust is more a feature request than a bug fix.
Comment 7 Joe Calderone 2011-01-26 03:16:35 UTC
Well, If I may say, It's about time they get it fixed. The fact that it does not work makes it impossible to keep running totals.
Comment 8 b. 2019-12-16 08:53:21 UTC
sorry for undigging an old bug, would be nice if we can close some of them ... 

as of today and with ver 6.2.8.2 unthreaded i'd say 'worksforme', 

sample from comment #3: entering values in H2:H8 works as long! as you stay within the limit set by 'minimum change' in the iteration settings. if you exceed this - in the sample key in higher values than 1 - the formula in column I switches to err:523, but does the calculation!, the value in Ix is incremented, you can see that by subsequent entering a smaller value. 

Also column J works correctly, the division by 2 is not neccessary, and J switches to err:523 when the minimum change limit is exceeded for this cell, thus in original sample when keying in values above 2 in col. H. 

tested with: 

Version: 6.2.8.2 (x64)
Build ID: f82ddfca21ebc1e222a662a32b25c0c9d20169ee
CPU threads: 8; OS: Windows 6.1; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: